# filterExactCommands - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.extensions.utils.updates / kotlinx.coroutines.flow.Flow / filterExactCommands

# filterExactCommands

(common) `fun <T : BaseSentMessageUpdate> Flow<T>.filterExactCommands(commandRegex: Regex): Flow<ContentMessage<TextContent>>` (source)

Convert incoming com.github.insanusmokrassar.TelegramBotAPI.types.message.abstracts.ContentMessage.content of messages with fullEntitiesList and check that incoming message contains ONLY ONE TextSource and that is BotCommandTextSource. Besides, it is checking that BotCommandTextSource.command with incoming commandRegex

Return
The same message in case if it contains only BotCommandTextSource with Regex.matches

See Also

fullEntitiesList

asContentMessagesFlow

onlyTextContentMessages